
%define rel 1
%define cvs	cvs20070208

%define release %mkrel 0.%cvs.%rel

%define name    qsampler
%define version 0.1.3.25


Summary: LinuxSampler GUI front-end
Name: %name
Version: %version
Release: %release
License: GPL
Group: Sound
URL: http://qsampler.sourceforge.net/qsampler-index.html
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libgig-devel
BuildRequires: libalsa-devel
BuildRequires: libjack-devel
BuildRequires:	libsqlite-devel
BuildRequires:	sqlite3-tools
BuildRequires:	qt3-devel >= 3.1.1
BuildRequires:	liblscp-devel >= 0.5.3
Requires:	liblscp >= 0.5.3
Requires:	libgig >= 3.1.0
Requires: 	linuxsampler >= 0.4.0

%description
QSampler is a LinuxSampler GUI front-end application written in C++
around the Qt3 toolkit using Qt Designer. At the moment it just wraps
as a client reference interface for the LinuxSampler Control Protocol
(LSCP).

%prep
#%setup -q
%setup -q -n %{name}
if [ -f Makefile.cvs ]; then make -f Makefile.cvs; fi

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall

# man page
%__install -dm 755 %{buildroot}%{_mandir}/man1
%__install -m 644 debian/%{name}.1 \
	%{buildroot}%{_mandir}/man1

#menu
install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%name.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Qsampler
Comment=Linux Sampler graphical front end
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Sound;
EOF

install -d -m755 %buildroot/%{_miconsdir} %buildroot/%{_iconsdir} %buildroot/%{_liconsdir}
convert icons/qsampler.png -size 16x16 %buildroot%{_miconsdir}/%{name}.png
convert icons/qsampler.png -size 32x32 %buildroot%{_iconsdir}/%{name}.png
convert icons/qsampler.png -size 48x48 %buildroot%{_liconsdir}/%{name}.png

%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 icons/qsampler.png \
	%{buildroot}%{_datadir}/pixmaps

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_miconsdir}/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png

%changelog
* Thu Apr 26 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.1.3.25-0.cvs20070208.1
- 0.1.3.25-cv20070208

* Mon Oct 03 2005 Torbjorn Turpeinen tobbe@nyvalls.se> 0.1.2-1.pclo2005.thac
- Rebuilt for PCLinuxOs 2005

* Wed Jun 29 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.1.2-1
- updated to 0.1.2
* Thu May 26 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.1.0-1
- updated to 0.1.0, made explicit dependency on linuxsampler
- added menu entry
* Thu Jan 20 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.4-1 
- initial build.
